/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { WebWorkerLoader } from "./webWorkerLoader";
/**
 * Factory for creating the proxy loader inside web worker. Use this if your environment
 * supports web worker.
 */
export class WebWorkerLoaderFactory {
    constructor() {
        this.environment = "webworker";
    }
    async createProxyLoader(id, options, resolved, fromSequenceNumber) {
        return WebWorkerLoader.load(id, options, resolved, fromSequenceNumber);
    }
}
//# sourceMappingURL=webWorkerLoaderFactory.js.map